Subject: [mobile-ip] MIPv6 v20 Question re returning home NA hack

From: "Greg O'Shea" <[email-masked]>
Date: Fri, 31 Jan 2003 20:37:41 -0000

In any case, the mobile node SHOULD record the information from the
Source Link-Layer Address option or from the advertisement, and set the
state of the Neighbor Cache entry for the home agent to REACHABLE.
[11.5.4]
How is the MN to differentiate between an unsolicited NA returned from a
Code=1 NS and a genuinely unsolicited NA from the HA? It seems wrong to
treat *all* unsolicted NA from the HA as if they were solicited even if
this behaviour is limited to the home net. For example on an asymmetric
link maybe the MN can hear the HA but the HA can't hear the MN in which
case the MN should surely *not* be setting its NCE to REACHABLE on the
strength of an unsolicited NA.